<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CPath Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCPath-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CPath Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>represents the path where attackers are moving  
 <a href="classCPath.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entities_8h_source.html">entities.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CPath:</div>
<div class="dyncontent">
<div class="center"><img src="classCPath__inherit__graph.png" border="0" usemap="#CPath_inherit__map" alt="Inheritance graph"/></div>
<map name="CPath_inherit__map" id="CPath_inherit__map">
<area shape="rect" id="node2" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="5,5,72,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CPath:</div>
<div class="dyncontent">
<div class="center"><img src="classCPath__coll__graph.png" border="0" usemap="#CPath_coll__map" alt="Collaboration graph"/></div>
<map name="CPath_coll__map" id="CPath_coll__map">
<area shape="rect" id="node2" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="5,5,72,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a17f72207d37cd5811ee662b98937e406"><td class="memItemLeft" align="right" valign="top"><a id="a17f72207d37cd5811ee662b98937e406"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>CPath</b> (char x)</td></tr>
<tr class="separator:a17f72207d37cd5811ee662b98937e406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6e40a54bb901886ed51cd0739dd701"><td class="memItemLeft" align="right" valign="top"><a id="abb6e40a54bb901886ed51cd0739dd701"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCPath.html#abb6e40a54bb901886ed51cd0739dd701">discover</a> () const override</td></tr>
<tr class="memdesc:abb6e40a54bb901886ed51cd0739dd701"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is discoverable ( if it's either free space or path ) <br /></td></tr>
<tr class="separator:abb6e40a54bb901886ed51cd0739dd701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae70ae5cacfe2d0dfe9095e581fe41a9c"><td class="memItemLeft" align="right" valign="top"><a id="ae70ae5cacfe2d0dfe9095e581fe41a9c"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCPath.html#ae70ae5cacfe2d0dfe9095e581fe41a9c">isPath</a> () const override</td></tr>
<tr class="memdesc:ae70ae5cacfe2d0dfe9095e581fe41a9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints the object ( it's symbol ) <br /></td></tr>
<tr class="separator:ae70ae5cacfe2d0dfe9095e581fe41a9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d0694b1c5df50b20907bf27bb859f1"><td class="memItemLeft" align="right" valign="top"><a id="a50d0694b1c5df50b20907bf27bb859f1"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>print</b> (ostream &amp;os) const override</td></tr>
<tr class="separator:a50d0694b1c5df50b20907bf27bb859f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCEntity"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCEntity')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCEntity.html">CEntity</a></td></tr>
<tr class="memitem:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a833f1423fd7e0f2096517b100c44db72"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a> ()=default</td></tr>
<tr class="memdesc:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is path or not. <br /></td></tr>
<tr class="separator:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a6185acc40fbabff6fa52c7ac29cb59f2"><td class="memItemLeft" align="right" valign="top"><a id="a6185acc40fbabff6fa52c7ac29cb59f2"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCPath.html#a6185acc40fbabff6fa52c7ac29cb59f2">m_symbol</a></td></tr>
<tr class="memdesc:a6185acc40fbabff6fa52c7ac29cb59f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">prints the path <br /></td></tr>
<tr class="separator:a6185acc40fbabff6fa52c7ac29cb59f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>represents the path where attackers are moving </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="entities_8h_source.html">entities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
